> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.islo.dev/api-reference/knowledge/update-knowledge/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.islo.dev/_mcp/server. # Update Knowledge PATCH https://api.islo.dev/knowledge/{identifier} Content-Type: application/json Reference: https://docs.islo.dev/api-reference/knowledge/update-knowledge ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `identifier` (string, required) — Unique lowercase identifier (letters, digits, hyphens). Set at creation and cannot be changed. ### Body (application/json) This endpoint expects a KnowledgeItemUpdate. - `level` (enum, optional, nullable) - Allowed values: `episodic`, `procedural`, `declarative`, `prompt`, `image`, `video`, `audio` - `type` (enum, optional, nullable) - Allowed values: `episodic`, `procedural`, `declarative`, `prompt`, `image`, `video`, `audio` - `format` (string, optional, nullable) - `body` (string, optional, nullable) - `metadata` (map from string to any, optional, nullable) - `status` (enum, optional, nullable) - Allowed values: `active`, `archived` - `links` (list of KnowledgeLinkInput, optional, nullable) ## Response ### 200 Successful Response - `id` (string, required) - `slug` (string, required) — Unique lowercase identifier (letters, digits, hyphens). Set at creation and cannot be changed. - `type` (enum, required) - Allowed values: `episodic`, `procedural`, `declarative`, `prompt`, `image`, `video`, `audio` - `level` (enum, required) - Allowed values: `episodic`, `procedural`, `declarative`, `prompt`, `image`, `video`, `audio` - `format` (string, required) - `body` (string, required) - `metadata` (map from string to any, required) - `status` (enum, required) - Allowed values: `active`, `archived` - `links` (list of KnowledgeLinkResponse, required) - `created_at` (datetime, required) - `updated_at` (datetime, required) - `version_id` (string, optional, nullable) - `version_number` (integer, optional, nullable) - `byte_size` (integer, optional, nullable) ## Errors ### 422 Unprocessable Entity Error Validation Error - `detail` (list of ValidationError, optional) ## Types ### KnowledgeLinkInput - `link_type` (enum, required) - Allowed values: `repository`, `tag` - `value` (string, required) ### KnowledgeLinkResponse - `link_type` (enum, required) - Allowed values: `repository`, `tag` - `value` (string, required) ### ValidationError - `loc` (list of ValidationErrorLocItems, required) - `msg` (string, required) - `type` (string, required) - `input` (any, optional) - `ctx` (ValidationErrorCtx, optional) ### ValidationErrorLocItems ### ValidationErrorCtx ## Examples **Request** ```json {} ``` **Response** ```json { "id": "string", "slug": "string", "type": "episodic", "level": "episodic", "format": "string", "body": "string", "metadata": {}, "status": "active", "links": [ { "link_type": "repository", "value": "string" } ], "created_at": "2024-01-15T09:30:00Z", "updated_at": "2024-01-15T09:30:00Z", "version_id": "string", "version_number": 1, "byte_size": 1 } ``` **SDK Code** ```python import requests url = "https://api.islo.dev/knowledge/identifier" payload = {} headers = { "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.patch(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.islo.dev/knowledge/identifier'; const options = { method: 'PATCH', headers: {Authorization: 'Bearer ', 'Content-Type': 'application/json'}, body: '{}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.islo.dev/knowledge/identifier" payload := strings.NewReader("{}") req, _ := http.NewRequest("PATCH", url, payload) req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.islo.dev/knowledge/identifier") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Patch.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.patch("https://api.islo.dev/knowledge/identifier") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{}") .asString(); ``` ```php request('PATCH', 'https://api.islo.dev/knowledge/identifier', [ 'body' => '{}', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.islo.dev/knowledge/identifier"); var request = new RestRequest(Method.PATCH); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = [] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.islo.dev/knowledge/identifier")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "PATCH" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```